KDE 4.2 PyKDE API Reference

- KDE's Python API

# IteratorBackend Class Reference

`from PyKDE4.soprano import *`

Inherits: Soprano::Error::ErrorCache
Namespace: Soprano

## Detailed Description

Abstract class:
  This class can be used as a base class for new classes, but can not be instantiated directly.

\class IteratorBackend iteratorbackend.h Soprano/IteratorBackend

The actual work in a Iterator instance is done by an IteratorBackend.

Author:
  Daniele Galdi <daniele.galdi@gmail.com>
  Sebastian Trueg <trueg@kde.org>

## Methods

| __init__ (self)
| close (self)
T | current (self)
bool | next (self)

## Method Documentation

__init__ | ( |  | self ) |

close | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Close the iterator and release any locks on the underlying Model.

Implementations of this method should reset the error by eith calling clearError() or setError().

\sa Iterator.close()

T current | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Get the element the iterator currently points to.

Implementations of this method should reset the error by eith calling clearError() or setError().

Returns:
  the current element.

\sa Iterator.current()

bool next | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Advance to the next element in the iterator.

Implementations of this method should reset the error by eith calling clearError() or setError().

Returns:
  true if there is another and false if the end has been reached.

\sa Iterator.next()